package main

import (
  "math"
  "fmt"
)

func main() {
  var alt []int   // Slice vuota (di lunghezza 0)

  // Lettura dell'input
  for {
    var x int
    fmt.Print("Altezza [0 per terminare]: ")
    fmt.Scan(&x)
    if x == 0 {
      break
    }
    alt = append(alt, x)
  }

  // Media
  somma := 0
  for i := 0; i < len(alt); i++ {
    somma += alt[i]
  }
  media := float64(somma) / float64(len(alt))

  // Varianza
  sommaScartiQuadratici := 0.0
  for i := 0; i < len(alt); i++ {
    sommaScartiQuadratici += (float64(alt[i]) - media) * (float64(alt[i]) - media)
  }
  varianza := sommaScartiQuadratici / float64(len(alt))
  sqm := math.Sqrt(varianza)

  fmt.Printf("Media: %.2f\nVarianza: %.2f\nScarto quadratico medio: %.2f\n", media, varianza, sqm)
}
